ranges::insert_fn Struct Reference

## Public Types

template<typename Rng , typename... Args>
using | insert_result_t = decltype(insert(std::declval< Rng >(), std::declval< Args >()...))

## Public Member Functions

template<typename Rng , typename P , typename I , typename S >
| CPP_TEMPLATE_AUX_0 (requires range< Rng > &&input_iterator< P > &&sentinel_for< S, I > &&(!range< S >)) insert_result_t< Rng
template<typename Rng , typename I , typename S >
| CPP_TEMPLATE_AUX_0 (requires range< Rng > &&sentinel_for< S, I > &&(!range< S >)) insert_result_t< Rng
template<typename Rng , typename T >
CPP_TEMPLATE_AUX_0 | i (requires range< Rng > &&(!range< T >) &&constructible_from< range_value_t< Rng >, T >) iiinsert_result_t< Rng
template<typename Rng , typename I , typename T >
CPP_TEMPLATE_AUX_0 | i (requires range< Rng > &&input_iterator< I > &&(!range< T >) &&constructible_from< range_value_t< Rng >, T >) iiinsert_result_t< Rng
template<typename Rng , typename I , typename N , typename T >
CPP_TEMPLATE_AUX_0 | i (requires range< Rng > &&input_iterator< I > &&integral< N > &&(!range< T >) &&constructible_from< range_value_t< Rng >, T >) iiinsert_result_t< Rng
template<typename Rng , typename I , typename Rng2 >
CPP_TEMPLATE_AUX_0 | i (requires range< Rng > &&input_iterator< I > &&range< Rng2 >) iiinsert_result_t< Rng
template<typename Rng , typename I , typename T >
CPP_TEMPLATE_AUX_0 | i (requires range< Rng > &&input_iterator< I >) iiinsert_result_t< Rng
template<typename Rng , typename Rng2 >
CPP_TEMPLATE_AUX_0 | i (requires range< Rng > &&range< Rng2 >) iiinsert_result_t< Rng
template<typename Rng , typename T >
CPP_TEMPLATE_AUX_0 | i (requires range< Rng >) iiinsert_result_t< Rng
S | operator() (Rng &&rng, I i, S j) const
CPP_TEMPLATE_AUX_0 T | operator() (Rng &&rng, I p, N n, T &&t) const
CPP_TEMPLATE_AUX_0 Rng2 | operator() (Rng &&rng, I p, Rng2 &&rng2) const
CPP_TEMPLATE_AUX_0 std::initializer_list< T > & | operator() (Rng &&rng, I p, std::initializer_list< T > rng2) const
CPP_TEMPLATE_AUX_0 T | operator() (Rng &&rng, I p, T &&t) const
S | operator() (Rng &&rng, P p, I i, S j) const
CPP_TEMPLATE_AUX_0 Rng2 | operator() (Rng &&rng, Rng2 &&rng2) const
CPP_TEMPLATE_AUX_0 std::initializer_list< T > & | operator() (Rng &&rng, std::initializer_list< T > rng2) const
CPP_TEMPLATE_AUX_0 T | operator() (Rng &&rng, T &&t) const

## Public Attributes

| I
CPP_TEMPLATE_AUX_0 | I
CPP_TEMPLATE_AUX_0 | N
| P